#ifndef XPlayMidi_H
#define XPlayMidi_H
/*---------------------------------------------------------------------------*
 *
 * Project:	fXPlayMidi
 *
 * $RCSfile: fXPlayMidi.h,v $
 * $Date: 1997/09/14 01:33:15 $
 * $Author: klmcw $
 * $Revision: 1.5 $
 *
 *---------------------------------------------------------------------------*
 * $Log: fXPlayMidi.h,v $
 * Revision 1.5  1997/09/14 01:33:15  klmcw
 * Added H and VPlayer(s).
 * Added proto for fXPlayMidiRedisplayForm.
 *
 * Revision 1.4  1997/04/26 11:40:53  klmcw
 * Added fmAbout.
 *
 * Revision 1.3  1996/04/21 18:36:26  klmcw
 * Make Window and Icon title include filename during play mode.
 *
 * Revision 1.2  1996/03/20 20:09:27  klmcw
 * Added prototypes for fmFileSettings_atClose() and fmOptions_atClose().
 *
 * Revision 1.1  1996/02/26 02:23:14  klmcw
 * Initial revision
 *
 *---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
#include "forms.h"
#include "fmAbout.h"
#include "fmAlbum.h"
#include "fmFileSettings.h"
#include "fmHPlayer.h"
#include "fmOptions.h"
#include "fmVPlayer.h"

typedef struct {
  char *Name;
  FL_FORM *fmFirst;
  FD_fmAbout *About;
  FD_fmAlbum *Album;
  FD_fmFileSettings *FileSet;
  FD_fmOptions *Options;
  FD_fmHPlayer *HPlayer;
  FD_fmVPlayer *VPlayer;
} XPMApp_t;

/*---------------------------------------------------------------------------*/

/* This function is for the 3 main views.                                    */
/* These forms are put up using the fl_prepare.. functions so that their     */
/* Window structs are available to XSetWMIconName() in filePlay_SetState().  */
/* See! There _IS_ madness to this method :)                                 */
void fXPlayMidiRedisplayForm(FL_FORM* fmThis, int firstTime);

const char *fXPlayMidiVersion(void);

/* These are here because their corresponding .h's will get overwritten      */
/* by fdesign.                                                               */
int fmAbout_atClose       (FL_FORM *, void *);
int fmFileSettings_atClose(FL_FORM *, void *);
int fmOptions_atClose     (FL_FORM *, void *);

void fmHPlayerDefault     (XPMApp_t *App);
void fmVPlayerDefault     (XPMApp_t *App);

/*---------------------------------------------------------------------------*/
#endif
